%define oname pycairo

Summary:	Python 3 bindings for the cairo library
Name:		python3-cairo
Version:	1.10.0
Release:	%mkrel 20
License:	LGPLv2+
Group:		Development/Python
URL:		http://cairographics.org/pycairo
Source0:	http://cairographics.org/releases/pycairo-%{version}.tar.bz2
# Fedora patches:
Patch1:		pycairo-1.10.0-test-python3.patch
# Use setup.py instead of waf
Patch2:		pycairo-setup.patch
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	python3-devel
#for tests
BuildRequires:	python3-pytest
Requires:	cairo >= 1.10.0
Provides:	%{oname} = %{version}-%{release}

%description
A set of Python3 bindings for the cairo graphics library.

%package devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-cairo = %{version}-%{release}
Requires:	cairo-devel
Requires:	pkgconfig
Requires:	python3-devel
Provides:	%{oname}-devel = %{version}-%{release}

%description devel
This package contains files required to build wrappers for cairo add-on
libraries so that they interoperate with python3-cairo.


%prep
%setup -q -n %oname-%version
%autopatch -p1

%build
%py3_build

%install
%py3_install

%check
pushd test
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} --assert=plain
popd

%files
%{python3_sitearch}/cairo/
%{python3_sitearch}/pycairo-%{version}-py%{python3_version}.egg-info

%files devel
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc



%changelog
* Sun Jan 08 2017 daviddavid <daviddavid> 1.10.0-20.mga6
+ Revision: 1080686
- rebuild against python3-pytest

* Fri Feb 12 2016 umeabot <umeabot> 1.10.0-19.mga6
+ Revision: 958554
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 wally <wally> 1.10.0-18.mga6
+ Revision: 888241
- add patch from Pld to build without waf
- enable tests

* Wed Oct 07 2015 tv <tv> 1.10.0-16.mga6
+ Revision: 886936
- patch 50: fix build with python 3.5
- rebuild for python 3.5

* Fri Oct 02 2015 tv <tv> 1.10.0-15.mga6
+ Revision: 885717
- imported package python3-cairo


* Fri Oct 02 2015 Thierry Vignaud <tv@mageia.org> 1.10.0-15.mga6
- split it out of python-cairo
  (why merge 2 different sources for 2 different pythons in the same SRPM????)

